## astroid2 1.6.5

=== debian/changelog ===
astroid2 (1.6.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:23:25 +0800

astroid2 (1.6.5-3) unstable; urgency=medium

  * debian/watch
    - track only 1.x releases
  * debian/control
    - setup a proper, independent git repo for src:astroid2
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Dec 2018 18:12:21 -0500

astroid2 (1.6.5-2) unstable; urgency=medium

  Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Nicolas Dandrimont ]
  * Rename source package to astroid2; only package the Python 2.x compatible module.

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 23 Sep 2018 14:41:44 +0200

astroid (1.6.5-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - also look up for version with numbers and dots

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jun 2018 19:00:36 -0400

astroid (1.6.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Sandro Tosi ]
  * New upstream release; Closes: #896113
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Apr 2018 16:31:57 -0400

astroid (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright information
  * debian/watch
    - use HTTPS to talk to pypi.debian.net

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Dec 2017 00:27:46 -0500

astroid (1.5.3-2) unstable; urgency=medium

  * debian/control
    - add setuptools and backports.functools-lru-cache (python2 only) to bin
      pkgs depends; Closes: #883360

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Dec 2017 21:11:27 -0500

astroid (1.5.3-1) unstable; urgency=medium

  * New upstream release; Closes: #868819
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
    - add singledispatch, enum34 to b-d and depends, patch by Michael
      Hudson-Doyle

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Nov 2017 19:31:35 -0500

astroid (1.4.9-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 13:48:17 -0500

astroid (1.4.8-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Aug 2016 19:29:27 +0100

astroid (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop logilab-common from deps; Closes: #831505

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Jul 2016 19:26:03 +0100

astroid (1.4.6-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release

  [ Ondřej Nový ]
  * Cleanup of d/copyright

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 18:54:21 +0100

astroid (1.4.5-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2016 01:16:09 +0100

astroid (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jan 2016 19:35:47 +0000

astroid (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - install README.rst (README was renamed to it)

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jan 2016 02:24:23 +0000

astroid (1.4.1-1) unstable; urgency=medium

  * New upstream release
    - add support for Python 3.5; Closes: #800788
    - correctly handle multiprocessing; Closes: #790884
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add wrapt and lazy_object_proxy to b-d, needed to trigger the packages
      dependencies detection

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jan 2016 16:36:00 +0000

astroid (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - tighen logilab-common deps to >= 0.63.0

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Aug 2015 07:57:06 +0100

astroid (1.3.6-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 00:11:06 +0100

astroid (1.3.6-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - uses PyPI redirector
  * debian/control
    - add python{,3}-nose to b-d, needed to run tests

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Mar 2015 00:28:54 +0000

astroid (1.3.4-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - extend upstream and packaging copyright years
    - update upstream email contact
    - update path location for new upstream code organization
  * debian/control
    - add six to dependencies
    - add setuptoold to b-d
  * debian/patches/*
    - drop patched, they are now part of a release
  * debian/watch
    - update to the proper PyPI location
  * debian/rules
    - test dir has changed name, update rm command

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Feb 2015 21:31:37 +0000

astroid (1.2.1-3) unstable; urgency=medium

  * debian/patches/afea46c0380956213976db2ce0f1e8f3cf6a0abc.patch
    - enable fine-grained control over extensions loading; this fix is needed
      after #591676 fix; Addresses: #772018

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Dec 2014 21:43:04 +0000

astroid (1.2.1-2) unstable; urgency=medium

  * debian/patches/e24cacb15e2e152db155fdca9197a8d1bf9ce235.patch
    - Never load C extensions that are not from the standard library and also
      never load any compiled Python files; thanks to Jakub Wilk for the report;
      Closes: #591676

 -- Sandro Tosi <morph@debian.org>  Sun, 23 Nov 2014 13:36:44 +0000

astroid (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch

